Subject: Re: bug#65359: [PATCH] eglot: add "lexical" LSP server

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Aug 2023 09:39:44 +0300

> From: Mou Tong <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Fri, 18 Aug 2023 06:19:10 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks, but the fact the command is a shell script again needs the
> > w32-shell-dos-semantics dance, like language_server.sh did.
> 
> I'm afraid lexical doesn't support Windows for now.

Then we should make this entry be in effect only on systems that
aren't Windows.

> Should we wait until it supports Windows?

I don't mind installing this now, but only if it doesn't break Elixir
support on Windows, which would mean this new entry should be hidden
when Emacs runs on Windows.

I also don't mind waiting...